const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("iborderdeliver", {
    order_id: DataTypes.STRING(32),
    // 办理状态 1030待处理, 1040关闭订单, 1050执照办理中, 1060已出执照, 1070刻章办理中, 
    //          1080已刻章, 1090银行开户中, 1100银行卡已开户, 1110税务报道中, 1120已税务报道, 
    //          1130提交审核, 1140审核失败, 1150审核通过, 1160已邮寄
    status: DataTypes.STRING(10),

    deliver_id: DataTypes.STRING(32),
    deliverName: DataTypes.STRING(50),
    deliverDivide: DataTypes.BIGINT,

    auditRemark: DataTypes.STRING,
    content: DataTypes.STRING,
    addressee: DataTypes.STRING,
    mobile: DataTypes.STRING,
    addr: DataTypes.STRING,
    auditUser: DataTypes.STRING,
    auditResult: DataTypes.STRING,

    breakReason: DataTypes.STRING(300),
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'ib_order_deliver',
    validate: {},
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}