<a name="menu">目录</a>
1. [个体户nameList](#nameList)
1. [个体户列表](#list)
1. [个体户信息](#info)
1. [用户签约](#businessmenSign)
1. [签约管理列表](#signList)
1. [个体户信息列表](#infoList)



## **<a name="nameList"> 个体户nameList </a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "action_process": "test",
        "action_type": "businessmenPage",
        "action_body": {
        }
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": "12795594625000138",              // 个体户id
            "name": "杨庆菊有限公司2"                 // 个体户名称
        }
    ],
    "requestid": "b90fb36b8738400db40dceb1d6664cef"
}


```


## **<a name="list"> 个体户列表 </a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "action_process": "test",
        "action_type": "businessmenPage",
        "action_body": {
            "currentPage": "1",
            "pageSize": "5",
            "merchantId": "",           // 商户id
            "orderId": "",              // 订单号
            "status": ""                // 个体户状态 1030已出执照, 1050已刻章, 1070银行已开户, 1090已税务报道, 1100待签约, 1120已签约
        }
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 1,
        "rows": [
            {
                "id": "12795594625000138",                          // 个体户id
                "order_id": "13180532689003786",                    // 订单编号
                "channelOrderNo": "xxxxxxxxx116",                   // 渠道订单那好
                "status": "1100",                                   // 个体户状态
                "statusName": "待签约",                              // 个体户状态名称

                // 个体工商户执照信息
                "legalName": "杨庆菊",                               // 法人姓名
                "legalMobile": "杨庆菊手机号",                        // 法人手机号
                "legalIdcard": "2222222222",                        // 法人身份证号
                "name": "杨庆菊有限公司",                             // 个体户名称
                "creditCode": "xxxxxx333333333",                    // 统一社会信用代码
                "businessPlace": "来广营地铁站",                      // 经营场所
                "businessScope": "1,2，3,4,5，",                     // 经营范围
                "regDate": "2019-01-22",                            // 注册日期
                "businessImg": "http:1.png",                        // 执照照片


                // 个体工商户刻章信息
                "gongzhang": "http://gongzhang.png",                // 公章
                "caiwuzhang": "http://caiwuzhang.png",              // 财务章
                "fapiaozhang": "http://fapiaozhang.png",            // 发票章
                "hetongzhang": "http://hetongzhang.png",            // 合同章
                "farenzhang": "http://farenzhang.png",              // 法人章


                // 个体户开户信息   
                "isBank": 1,                                        // 是否开户 0否 1是
                "bankName": "https://bankName",                     // 账户名称
                "bankNo": "https://bankNo",                         // 帐号
                "bank": "https://bank",                             // 开户行
                "bankImg": "https://bankImg",                       // 账户图片

                "caImg": "12313212",                                // CA照片
                "taxRegDay": "2019-01-01",                          // 税务登记日
                "taxOrg": "12333",                                  // 税务机构名称

                "courierNo": "111111111",                           // 快递单号
                "courierImg": "快递交接图片",                         // 快递交接图片
                "signTime": ""                                      // 签约时间
                "created_at": "2019-10-06 07:19:07",
                "updated_at": "2019-10-06 07:38:57"
            }
        ]
    },
    "requestid": "0287b98bb1e946b898a6657da4262880"
}


```


## **<a name="info"> 个体户信息 </a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "businessmenInfo",
        "action_body": {
            "id": "12795594625000138"
        }
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "id": "12795594625000138",                          // 个体户id
        "order_id": "13180532689003786",                    // 订单编号
        "channelOrderNo": "xxxxxxxxx116",                   // 渠道订单那好
        "status": "1100",                                   // 个体户状态
        "statusName": "待签约",                              // 个体户状态名称

        // 个体工商户执照信息
        "legalName": "杨庆菊",                               // 法人姓名
        "legalMobile": "杨庆菊手机号",                        // 法人手机号
        "legalIdcard": "2222222222",                        // 法人身份证号
        "name": "杨庆菊有限公司",                             // 个体户名称
        "creditCode": "xxxxxx333333333",                    // 统一社会信用代码
        "businessPlace": "来广营地铁站",                      // 经营场所
        "businessScope": "1,2，3,4,5，",                     // 经营范围
        "regDate": "2019-01-22",                            // 注册日期
        "businessImg": "http:1.png",                        // 执照照片

        // 个体工商户刻章信息
        "gongzhang": "http://gongzhang.png",                // 公章
        "caiwuzhang": "http://caiwuzhang.png",              // 财务章
        "fapiaozhang": "http://fapiaozhang.png",            // 发票章
        "hetongzhang": "http://hetongzhang.png",            // 合同章
        "farenzhang": "http://farenzhang.png",              // 法人章

        // 个体户开户信息
        "isBank": 1,                                        // 是否开户 0否 1是
        "bankName": "https://bankName",                     // 账户名称
        "bankNo": "https://bankNo",                         // 帐号
        "bank": "https://bank",                             // 开户行
        "bankImg": "https://bankImg",                       // 账户图片

        "caImg": "12313212",                                // CA照片
        "taxRegDay": "2019-01-01",                          // 税务登记日
        "taxOrg": "12333",                                  // 税务机构名称

        "courierNo": "111111111",                           // 快递单号
        "courierImg": "快递交接图片",                         // 快递交接图片

        "taxUpType":"10",                                   // 个税累计
        "costRate":"1122",                                  // 核定成本费用率
        "signNotes":"  12qwdwqd",                           // 签约备注
        "commonTaxLadder": "[{ }]",                         // 普票个税梯度
        "commonOtherLadder": "[{}]",                        // 普票票增值税、附加税梯度
        "specialTaxLadder": "[{}]",                         // 专票个税梯度
        "specialOtherLadder": "[{}]"                        // 专票票增值税、附加税梯度

        "signTime": ""                                      // 签约时间

        "created_at": "2019-10-06 07:19:07",
        "updated_at": "2019-10-06 07:38:57",
    },
    "requestid": "da004bed597f44e88289d02c7a3843a5"
}

```



## **<a name="businessmenSign"> 用户签约 </a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript


    {
        "action_process": "test",
        "action_type": "businessmenSign",
        "action_body": {
            "id": "12795594625000138",                          // 个体户id
            "taxUpType":"10",                                   // 个税累计
            "costRate":"1122",                                  // 核定成本费用率
            "signNotes":"  12qwdwqd",                           // 签约备注
            "commonTaxLadder": "[{ }]",                         // 普票个税梯度
            "commonOtherLadder": "[{}]",                        // 普票票增值税、附加税梯度
            "specialTaxLadder": "[{}]",                         // 专票个税梯度
            "specialOtherLadder": "[{}]"                        // 专票票增值税、附加税梯度

    }

```

#### 返回结果
```javascript


    {
        "status": 0,
        "msg": "success",
        "data": 
        "requestid": "da004bed597f44e88289d02c7a3843a5"
    }



```


## **<a name="signList"> 签约管理列表 </a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "action_process": "test",
        "action_type": "businessmenPage",
        "action_body": {
            "currentPage": "1",
            "pageSize": "5",
            "businessmenId": "",           // 个体户id
        }
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 1,
        "rows": [
            {
                "id": "12795594625000138",                          // 个体户id
                "taxUpType":"10",                                   // 个税累计
                "costRate":"1122",                                  // 核定成本费用率
                "signNotes":"  12qwdwqd",                           // 签约备注
                "commonTaxLadder": "[{ }]",                         // 普票个税梯度
                "commonOtherLadder": "[{}]",                        // 普票票增值税、附加税梯度
                "specialTaxLadder": "[{}]",                         // 专票个税梯度
                "specialOtherLadder": "[{}]"                        // 专票票增值税、附加税梯度
                "signTime": ""                                      // 签约时间
            }
        ]
    },
    "requestid": "0287b98bb1e946b898a6657da4262880"
}


```


## **<a name="infoList"> 个体户信息列表 </a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "action_process": "test",
        "action_type": "businessmenInfoPage",
        "action_body": {
            "currentPage": "1",
            "pageSize": "5",
            "orderId": "",
            "status": ""

        }
    }
```

#### 返回结果
```javascript

    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                    "id": "12795594625000138",              // 个体户id
                    "order_id": "13180532689003786",        // 订单号
                    "legalName": "杨庆菊",                   // 法人姓名
                    "creditCode": "xxxxxx333333333",        // 统一社会信用代码
                    "status": "1120",                       // 状态
                    "statusName": "已签约"                   // 状态名称
                }
            ]
        },
        "requestid": "a9b76b92be69452e9403637447c08659"
    }


```
